(use-modules
  (gnu packages)
  (gnu packages autotools)
  (gnu packages guile)
  (gnu packages guile-xyz)
  (gnu packages pkg-config)
  (gnu packages texinfo)
  (guix build-system gnu)
  (guix download)
  (guix gexp)
  ((guix licenses) #:prefix license:)
  (guix packages)
  (solarpunk packages guile)
  (srfi srfi-1))

(package
  (name "guile-guart")
  (version "0.1")
  (source
    (local-file
      (dirname (current-filename))
      #:recursive?
      #t
      #:select?
      (lambda (file stat)
        (not (any (lambda (my-string)
                    (string-contains file my-string))
                  (list ".git" ".dir-locals.el" "guix.scm"))))))
  (build-system gnu-build-system)
  (arguments `())
  (native-inputs
    (list autoconf automake pkg-config texinfo))
  (inputs (list guile-3.0))
  (propagated-inputs (list guile-uniseg guile-termenv))
  (synopsis "Library for drawing art to the terminal")
  (description
    "A library for drawing visual elements to the terminal in a composable way.")
  (home-page
    "https://git.solarpunk.moe/solarpunk-guile/guile-guart")
  (license license:gpl3+))
